#ifndef UTIL_H
#define UTIL_H

#include <QDebug>
#include <QFile>
#include <QString>
#include "kysdk/kysdk-system/libkysysinfo.h"

enum class SystemVersion { Version_2403, Version_2503, Version_V11 };

static SystemVersion curSystemVersion() {
    QString version = kdk_system_get_version_detaile().os_version;
    qInfo() << "System version: " << version;

    if (version == "2403") {
        return SystemVersion::Version_2403;
    } else if (version == "2503") {
        return SystemVersion::Version_2503;
    } else {
        return SystemVersion::Version_V11;
    }
}

#endif  // UTIL_H
